Acuity Trading
Create trade authorization token
Creates a trade authorization token for accessing Acuity Trading web trading functionality within widgets.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/my/acuity/trade-token" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{ "accountId": 12345 }'{ "data": { "tradeToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...", "symbolsId": 12345, "allSymbols": "[\"EURUSD\",\"GBPUSD\",\"USDJPY\"]" }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Account not found" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}